SACCTMGR(1)

NAME
sacctmgr - Used view and modify Slurm account information.

SYNOPSIS
ssacctmgr [OPTIONS...] [COMMAND...]

DESCRIPTION
ssacctmgr is used to view or modify Slurm account information. The account information is maintained within a database with the interface being provided by slurmdbd (Slurm Database daemon). This database can serve as a central storehouse of user and computer information for multiple computers at a single site. Slurm account information is recorded based upon four parameters that form what is refered to as an association. These parameters are user, cluster, partition, and account. user is the login name. cluster is the name of a Slurm managed cluster as specified by the ClusterName parameter in the slurm.conf configuration file. partition is the name of a Slurm partition on that cluster. account is the bank account for a job. The intended mode of operation is to initiate the ssacctmgr command, add, delete, modify, and/or list association records then commit the changes and exit.

OPTIONS

-a, --all
    Display information about all entities including hidden or deleted ones. This is equivalent to the all command.

-h, --help
    Print a help message describing the usage of ssacctmgr. This is equivalent to the help command.

--hide
    Do not display information about hidden or deleted entities. This is equivalent to the hide command.

-o, --oneliner
    Print information one line per record. This is equivalent to the oneliner command.

-q, --quiet
    Print no warning or informational messages, only error messages. This is equivalent to the quiet command.

-s, --associations
    Show an association for entities displayed. This is equivalent to the associations command.

-v, --verbose
    Print detailed event logging. This is equivalent to the verbose command.

-V , --version
    Print version information and exit. This is equivalent to the version command.

COMMANDS

all Display information about all entities including hidden or deleted ones.

add <ENTITY> <SPECS>
    Add an entity.

associations
    Show associations for entities displayed.

delete ENTITY SPECS
    Delete the specified entities.

exit
    Terminate the execution of sacctmgr.

help
    Display a description of sacctmgr options and commands.

hide
    Do not display information about hidden or deleted entities.

list <ENTITY> [<SPECS>]
    Display information about the specified entities. By default, all entities are displayed. Idential to the show command.

modify <ENTITY> <SPECS>
    Modify an entities.

oneliner
    Print information one line per record.

quiet
    Print no warning or informational messages, only fatal error messages.

quit
    Terminate the execution of sacctmgr.

show <ENTITY> [<SPECS>]
    Display information about the specified entities. By default, all entities are displayed. Idential to the list command.

verbose
    Print detailed event logging. This includes time-stamps on data structures, record counts, etc. This is an independent command with no options meant for use in interactive mode.

version
    Display the version number of sacctmgr being executed.

!!  Repeat the last command executed.

ENTITIES

account
    A bank account, typically specified at job submit time using the --account= option. These may be arranged in a hierarchical fashion, for example accounts chemistry and physics may be children of the account science. The hierarchy may have an arbitrary depth.

association
    The entity used to group information consisting of four parameters: account, cluster, partition, and user.

cluster
    The ClusterName parameter in the slurm.conf configuration file, used to differentiate accounts from on different machines.

user
    The login name.

SPECIFICATIONS FOR ACCOUNTS

Cluster=<cluster>
    Specific cluster to add account to. Default is all in system. Description=<description> An arbitrary string describing an account.

Fairshare=<fairshare>
    Number used in conjunction with other accounts to determine job priority.

MaxCPUSecs=<max cpu seconds>
    Maximum number of cpu seconds each job is able to use in this account. This is overridden if set directly on a user.

MaxJobs=<max jobs>
    Maximum number of jobs each user is allowed to run at one time in this account. This is overridden if set directly on a user.

MaxNodes=<max nodes>
    Maximum number of nodes each job is able to use in this account. This is overridden if set directly on a user.

MaxWall=<max wall>
    Maximum wall clock time each job is able to use in this account. This is overridden if set directly on a user.

Name=<name>
    The name of a bank account.

Organization=<org>
    Organization to which the account belongs.

Parent=<parent>
    Parent account of this account.

QosLevel=<qos>
    Quality of Service jobs are to run at for this account. Now consisting of Normal, Standby, Expedite, and Exempt. This is overridden if set directly on a user.

SPECIFICATIONS FOR CLUSTERS

Fairshare=<fairshare>
    Number used in conjunction with other accounts to determine job priority.

Name=<name>
    The name of a cluster. This should be equal to the ClusterName parameter in the slurm.conf configuration file for some Slurm-managed cluster.

MaxCPUSecs=<max cpu seconds>
    Maximum number of cpu seconds each job is able to use in this account. This is overridden if set directly on an account or user. MaxJobs=<max jobs> Maximum number of jobs each user is allowed to run at one time in this account. This is overridden if set directly on an account or user.

MaxNodes=<max nodes>
    Maximum number of nodes each job is able to use in this account. This is overridden if set directly on an account or user.

MaxWall=<max wall>
    Maximum wall clock time each job is able to use in this account. This is overridden if set directly on an account or user.

QosLevel=<qos>
    Quality of Service jobs are to run at for this account. Now consisting of Normal, Standby, Expedite, and Exempt. This is overridden if set directly on an account or user.

SPECIFICATIONS FOR USERS

Account=<account>
    Account name to add this user to.

AdminLevel=<level>
    Admin level of user. Valid levels are None, Operator, and Admin.

Cluster=<cluster>
    Specific cluster to add user to the account on. Default is all in system.

DefaultAccount=<account>
    Identify the default bank account name to be used for a job if none is specified at submission time.

Fairshare=<fairshare>
    Number used in conjunction with other users in the same account to determine job priority.

Name=<name>
    Name of user.

QosLevel=<qos>
    The Quality of Service jobs are to run at for this user using the account specified. Now consisting of Normal, Standby, Expedite, and Exempt.

MaxCPUSecs=<max cpu seconds>
    Maximum number of cpu seconds this user can use in each job using the account specified.

MaxJobs=<max jobs>
    Maximum number of jobs this user can run at a given time using the account specified. This is overridden if set directly on a user.

MaxNodes=<max nodes>
    Maximum number of nodes this user can allocate in each job using the account specified.

MaxWall=<max wall>
    Maximum wall clock time this user can use in each job using the account specified.

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). LLNL-CODE-402394.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5) slurmdbd(8)